Exception::__construct
Exception::getPrevious
Exception
PHP Manual

# Exception::getMessage

(PHP 5 >= 5.1.0)

Exception::getMessage — Récupère le message de l'exception

### Description

final public string Exception::getMessage ( void )

Retourne le message de l'exception.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Retourne le message de l'exception, sous la forme d'une chaîne de caractères.

### Exemples

Exemple #1 Exemple avec Exception::getMessage()

`<?php
try {
throw new Exception("Un message d'erreur");
} catch(Exception $e) {
echo $e->getMessage();
}
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    Un message d'erreur

Exception::__construct
Exception::getPrevious
Exception
PHP Manual